#!/bin/bash

ADEI_PATH=${ADEI_PATH:-/srv/www/htdocs/adei}
ADEI_ADMIN=${ADEI_ADMIN:-0}

date=$(date -Iseconds)

[ -f /adei/env ] && . /adei/env

if [ "$ADEI_ADMIN" -ne 1 -a -f "/adei/cfg/.debug" ]; then
    echo "$date ADEI is under debug, skipping..."
    exit
fi

script=$( cd $(dirname "$0") && pwd )/$( basename "$0" )
if [ -f /adei/sys/adei_clean.cron.sh -a "$script" != /adei/sys/adei_clean.cron.sh ]; then
    /adei/sys/adei_clean.cron.sh
    exit
fi

adei_path="$ADEI_PATH"
path="$adei_path/tmp/clients/"

find $path -type f -atime +0 -exec rm -f '{}' \;
find $path -type d -empty -atime +1 -mindepth 1 -delete

#find $path -type f -mtime +7 -exec rm -f '{}' \;
#find $path -type d -empty -atime +1 -mindepth 1 -print0 | xargs -0 -r rmdir

path="$adei_path/tmp/log"
find  $path -type f -mtime +14 -exec rm -f '{}' \;
